Поддержка WordPress Multisite Обновление WordPress MU 2.9.2 до WordPress 3.0

  • Модератор Sergey Biryukov

    (@sergeybiryukov)


    Live and Learn

    Разработчиками предусмотрено автоматическое обновление с WordPress MU 2.9.2, однако оно не работает для локализованных версий — в дистрибутиве ищутся файлы wordpress-mu/*, которых там нет. На англоязычном сайте специально для обновления опубликован архив wordpress-mu-3.0.zip, который ничем не отличается от wordpress-3.0.zip, кроме имени каталога внутри архива.

    Автоматическое обновление

    1. Обновить до английской версии 3.0.
    2. Обновить ещё раз, теперь до русской версии.
    3. Добавить в wp-config.php предложенную константу NONCE_SALT.
    4. Заменить в .htaccess wp-content/blogs.php на wp-includes/ms-files.php.
    5. Удалить файл wp-content/blogs.php.
    6. Открыть страницу «Администратор» > «Обновить» для обновления таблиц всех сайтов сети.

    Ручное обновление

    1. Скачать wordpress-3.0-ru_RU.zip.
    2. Скопировать содержимое архива на сервер с перезаписью файлов.
    3. Выполнить пункты 3—6 предыдущего списка.
Просмотр 15 ответов — с 1 по 15 (всего 25)
  • Модератор Slava Abakumov

    (@slaffik)

    Спасибо, Сергей, за описание порядка обновления.
    Обновил свой демо без проблем.

    Все прошло без проблем, за исключением последнего пункта. Система мне выдала сообщение:

    Внимание! Проблема при обновлении . Сервер может не иметь возможности подключаться к находящимся на нём сайтам. Текст ошибки: malformed

    В чем моя проблема? о_0

    Модератор Sergey Biryukov

    (@sergeybiryukov)

    Live and Learn

    Возможно, в настройках сервера, но пока сложно сказать, в каких именно. Также возможно, что это баг. Для обсуждения создайте, пожалуйста, отдельную тему.

    Ок, спасибо. Так и поступлю.

    после обновления автоматом или вручную выдает ошибку
    Fatal error: Call to undefined function wp_get_current_user() in /home/server/site.ru/docs/wp-includes/user.php on line 223

    если по старой памяти(из хистори в ФФ) открыть страницу апдейт-коре и ткнуть в администоратор — обновить = вылезет ошибка 404 нет страницы wpmu-upgrade……
    если ткнуть в «консоль» вылезет ошибка базы со ссылкой репайр. тыкаем в ссылку репайр, получаем ошибку фатал….

    Если что, то я на wpmu с первого дня его создания. прошел все версии

    Модератор Sergey Biryukov

    (@sergeybiryukov)

    Live and Learn

    1. Функция wp_get_current_user() определена в wp-includes/pluggable.php и существует с версии 2.0.3. Если она не найдена — скорее всего, некоторые файлы на сервере отсутствуют или загружены не полностью.
    2. Файла wp-admin/wpmu-upgrade-site.php в WordPress 3.0 действительно нет. Его функции выполняет wp-admin/ms-upgrade-network.php.
    3. Проблема с базой данных серьёзнее. Нужно знать тексты обеих ошибок.

    Для полноценного обсуждения создайте, пожалуйста, отдельную тему.

    обновился через /wp-admin/upgrade.php

    все вроде норм, но в админке сверху такая ошибка:

    Warning! WordPress encrypts user cookies, but you must add the following lines to wp-config.php for it to be more secure.
    Before the line /* That’s all, stop editing! Happy blogging. */ please add this code:

    define( ‘NONCE_SALT’, ‘много цифр’ );
    Thank you for Updating! Please visit the Update Network page to update all your sites.
    The wp-content/blogs.php file is deprecated. Please remove it and update your server rewrite rules to use wp-includes/ms-files.php instead.

    Модератор Sergey Biryukov

    (@sergeybiryukov)

    Live and Learn

    Прочтите, пожалуйста, внимательнее инструкцию в первом сообщении.

    А можно по подробней расписать пункты, мне не понятно «Добавить предложенную константу NONCE_SALT в wp-config.php.»
    и «Заменить wp-content/blogs.php на wp-includes/ms-files.php в .htaccess.»

    Модератор Sergey Biryukov

    (@sergeybiryukov)

    Live and Learn

    1. В wp-config.php есть блок «секретных» констант (AUTH_KEY и т.д.) — добавьте туда строку с NONCE_SALT, процитированную вами выше.
    2. В .htaccess есть правило с файлом wp-content/blogs.php:

    RewriteRule ^(.*/)?files/(.*) wp-content/blogs.php?file=$2 [L]

    Нужно заменить его на wp-includes/ms-files.php:

    RewriteRule ^(.*/)?files/(.*) wp-includes/ms-files.php?file=$2 [L]

    понел. спасибо большое)

    Оказывается надо просто добавить
    код из ошибки… у меня было:

    Before the line /* That's all, stop editing! Happy blogging. */ please add this code:
    
    define( 'NONCE_SALT', 'много цифр' );

    теперь в конфиг просто вставить define( 'NONCE_SALT', 'много цифр' );` под

    define('AUTH_KEY', 'много цифр');

    Да, я тоже так сделал. Добавил код из ошибки в автообновлении.
    В ручном обновление сразу на русскую не получилось.

    Как можно обновить 3 англ на русскую версию? Может быть отдельные файлы только?

    Модератор Sergey Biryukov

    (@sergeybiryukov)

    Live and Learn

    Спасибо за ссылку.
    Поставил.
    Файлы обновления там только на 2.9.2 , на 3-ю нет. Но основное все перевелось.

Просмотр 15 ответов — с 1 по 15 (всего 25)
  • Тема «Обновление WordPress MU 2.9.2 до WordPress 3.0» закрыта для новых ответов.